name: "mccssubarrayleafnode-test"
function: telescope-monitoring
domain: general-monitoring
instances: ["01"]
entrypoints:
  - name: "ska_tmc_mccssubarrayleafnode.mccs_subarray_leaf_node.LowTmcLeafNodeMccsSubarray"
server:
  name: "mccs_subarray_leaf_node"
  instances:
  {{ $mccs_sa_fqdn_prefix:= .Values.global.mccs_subarray_prefix}} 
  {{ $mccs_master_fqdn := .Values.global.mccs_master }}
  {{ $CommandTimeOut := .Values.deviceServers.mccssubarrayleafnode.CommandTimeOut }}
  {{ $LivelinessCheckPeriod := .Values.deviceServers.mccssubarrayleafnode.LivelinessCheckPeriod }}
  {{ $EventSubscriptionCheckPeriod := .Values.deviceServers.mccssubarrayleafnode.EventSubscriptionCheckPeriod }}
  {{ $AdapterTimeOut := .Values.deviceServers.mccssubarrayleafnode.AdapterTimeOut}}
  {{ $domain := .Values.global.domain}}
  {{ $family := .Values.deviceServers.mccssubarrayleafnode.family }}
  {{- range  ( regexSplit " " ((.Values.subarray_count | int) | seq ) -1 ) }}
    - name: "{{ printf "%02s" . }}"
      classes:
      - name: "LowTmcLeafNodeMccsSubarray"
        devices:
          - name: "{{ $domain }}/{{ $family }}/{{ printf "%02s" . }}"
            properties:
              - name: "MccsSubarrayFQDN"
                values:
                - "{{ $mccs_sa_fqdn_prefix }}/{{ printf "%02s" . }}"
              - name: "MccsMasterFQDN"
                values:
                - "{{$mccs_master_fqdn}}"
              - name: "SkaLevel"
                values:
                - "3"
              - name: "LoggingTargetsDefault"
                values:
                - "tango::logger"
              - name: "LoggingLevelDefault"
                values:
                - "5"
              - name: "CommandTimeOut"
                values:
                - "{{ $CommandTimeOut }}"
              - name: "LivelinessCheckPeriod"
                values:
                - "{{ $LivelinessCheckPeriod }}"
              - name: "EventSubscriptionCheckPeriod"
                values:
                - "{{ $EventSubscriptionCheckPeriod }}"
              - name: "AdapterTimeOut"
                values:
                - "{{ $AdapterTimeOut }}"
  {{- end}}
depends_on:
  - device: sys/database/2
image:
  registry: "{{.Values.mccssubarrayleafnode.image.registry}}"
  image: "{{.Values.mccssubarrayleafnode.image.image}}"
  tag: "{{.Values.mccssubarrayleafnode.image.tag}}"
  pullPolicy: "{{.Values.mccssubarrayleafnode.image.pullPolicy}}"

